/*****************************************************************************
 *
 * Written 2008 by Matthias Kirchner, matze@renhcrik.de
 * with help from Thorsten Erdmann
 * using some routines from W. Reissnegger and B. Walle
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with puliwera; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *
 ******************************************************************************/

#ifndef PULIWERA_H_
#define PULIWERA_H_

#define DEFAULT_SERVER      "localhost";
#define DEFAULT_PORT        13666
#define DEFAULT_CONFIG_FILE "/usr/etc/puliwera.conf"
#define DEFAULT_MEMORY_FILE	"/tmp/puliwera.memo"
#define DEFAULT_PIPE_FILE	"/tmp/puliwera"

#ifndef TRUE
#  define TRUE      (1==1)
#  define FALSE     !TRUE
#endif

#ifndef NULL
#  define NULL      (void *) 0
#endif

#define TYPE_MENU		0x8376afda

#define save_strcpy(_t,_s)  \
    assert(strlen(_s) < sizeof(_t));    \
    strcpy(_t, _s);


#define KEY_HANDLED         1
#define KEY_NOT_HANDLED     !KEY_HANDLED

#define SCREEN_STACK_SIZE               64

char debug;

#endif
